Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.schema
Class XMLSchema

    java.lang.Object
      |
      +--oracle.xml.parser.schema.XSDNode
            |
            +--oracle.xml.parser.schema.XMLSchema

All Implemented Interfaces:
  XSDConstantValues

public class XMLSchema
extends XSDNode

This class represents XML Schema component model. An XMLSchema consists of a set of XMLSchemaNodes that belong to different target namespaces. XMLSchema is used by XSDValidator for schema validation or used as metadata.

Field Summary

Fields inherited from interface oracle.xml.parser.schema.XSDConstantValues
`_abstract, _all, _annotation, _any, _anyAttribute, _anySimpleType, _anyType, _appinfo, _attrFormDefault, _attribute, _attributeGroup, _attrTag, _base, _block, _blockDefault, _choice, _complexContent, _complexType, _content, _default, _derivedBy, _documentation, _element, _elementOnly, _elemFormDefault, _empty, _enumeration, _equivClass, _extension, _false, _field, _final, _finalDefault, _fixed, _form, _group, _id, _import, _include, _itemType, _key, _keyref, _lax, _list, _maxOccurs, _memberTypes, _minOccurs, _mixed, _nall, _name, _namespace, _nil, _nillable, _nnany, _nnlist, _nnlocal, _nnother, _nntargetNS, _noNSSchemaLocation, _notation, _null, _nullable, _optional, _pattern, _processContents, _prohibited, _publicid, _qualified, _redefine, _ref, _refer, _required, _restriction, _restrictions, _schema, _schemaLocation, _selector, _sequence, _simpleContent, _simpleType, _skip, _strict, _substitution, _substitutionGrp, _systemid, _targetNS, _textOnly, _this, _true, _type, _undef, _union, _unique, _unqualified, _use, _value, _version, _xmlns, ABSENT_NS, ACCEPTED, ALL, ANNOTATION, ANY, ANY_ATTRIBUTE, ANY_NODE, ATTRIBUTE, ATTRIBUTE_GROUP, AUTO_VALIDATION, BASE_RESOLVED, BASE_UNRESOLVED, BASE_URL, BUILD_FAIL, CHOICE, CIRCULAR_SUBST, CONFLICIT_FACET, constName, DATATYPE, DEEP_VALIDATION, derivationBlock, DONE, DUPLICATE_DEF, duplicateId, ELEMENT, ELEMENT_CHILD, ELEMENT_ONLY, elemNotNullable, EMPTY, ENTITY_RESOLVER, EQUIV_RESOLVED, EQUIV_UNRESOLVED, ERROR, EXTENTION, FACET_CHILD, FAKE_ATTR, FAKE_NODE, FIXED_SCHEMA, GROUP, IABSTRACT, IBLOCKEXT, IBLOCKRST, IBLOCKSUB, IDENTITY_ERROR, IDENTITY_KEY, IDENTITY_KEYREF, IDENTITY_UNIQUE, IFINALEXT, IFINALLIST, IFINALRST, IFINALUNION, IMPORT, INCLUDE, INCORRECT_ATTR, INCORRECT_ELEM, INFINITY, INTERNAL_ERROR, INVALID_DERIVATION, INVALID_FACET, INVALID_FACET_VALUE, INVALID_NOTATION, INVALID_REGEX, INVALID_SCHEMA_NS, INVALID_TYPE_VALUE, invalidAttr, invalidAttrVal, invalidChars, invalidElem, invalidFixedChars, invalidNS, invalidPrefix, invalidProperty, invalidRef, invalidSubstitution, invalidTargetNS, LAX_VALIDATION, MISSING_NS, missingAttr, MIXED, NEW_STATE, NO_CHILD, noDefinition, NOT_DONE, NOTATION, notComplete, notSubstitutable, notSubTypeOf, NS_CONFLICT, NS_DIF_SPECIFIED, NS_NOT_ALLOWED, NS_NOT_EXPECTED, NS_NOT_SAME, NS_RESOLVER, REDEFINE, REF_RESOLVED, REF_UNRESOLVED, RESTRICTION, SCHEMA_NS, SEQ, STRICT_VALIDATION, TEXT_ONLY, TOP_LEVEL, TYPE, TYPE_RESOLVED, TYPE_UNRESOLVED, UNDEF, unexpectedAttr, unexpectedElem, VALIDATION_MODE, VIOLATE_FACET, XSDRECNS, XSDRECTYPENS, XSIRECNS, XSITYPE_ABSENT`

Constructor Summary
`XMLSchema()` XMLSchema constructor.

Method Summary
`void` | `buildSchemaPathTable()` Build the schema's path tables for XSDGroup nodes.
`java.lang.String[]` | `getAllTargetNS()` Get all the Target Name space defined in the schema
`XSDElement` | `getElement(java.lang.String nsUri, java.lang.String nm)` Get Element schema component given local name, namespace
`XMLSchemaNode` | `getSchemaByTargetNS(java.lang.String namespace)` Get schemaNode for the given namespace
`java.lang.String` | `getSchemaTargetNS()` Get the top level schema's target Namespace.
`java.util.Hashtable` | `getXMLSchemaNodeTable()` Get XMLSchemaNode table
`java.lang.String[]` | `getXMLSchemaURLS()` Get XMLSchema URLs
`void` | `printSchema()` print information
`void` | `printSchema(boolean all)` print all schema infomation including buildins

Methods inherited from class oracle.xml.parser.schema.XSDNode
`getAnnotation, getName, getNodeType, getRefLocalname, getTargetNS, isNodeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSchema

    public XMLSchema()
              throws XSDException

  XMLSchema constructor.

Method Detail

### getXMLSchemaURLS

    public java.lang.String[] getXMLSchemaURLS()

  Get XMLSchema URLs
  Returns:
    array of schema URLs some url has multiple entries corresponding to different namespaces, need to filter those out.

### getXMLSchemaNodeTable

    public java.util.Hashtable getXMLSchemaNodeTable()

  Get XMLSchemaNode table
  Returns:
    Hashtable

### getSchemaByTargetNS

    public XMLSchemaNode getSchemaByTargetNS(java.lang.String namespace)

  Get schemaNode for the given namespace
  Parameters:
    `namespace` - Target namespace of the required schema
  Returns:
    XMLSchemaNode

### getElement

    public XSDElement getElement(java.lang.String nsUri,
                                 java.lang.String nm)

  Get Element schema component given local name, namespace
  Parameters:
    `nsUri` - - Target namespace
    `nm` - - local name
  Returns:
    XSDNode - The schema component

### printSchema

    public void printSchema()

  print information

### printSchema

    public void printSchema(boolean all)

  print all schema infomation including buildins

### getAllTargetNS

    public java.lang.String[] getAllTargetNS()

  Get all the Target Name space defined in the schema

### getSchemaTargetNS

    public java.lang.String getSchemaTargetNS()

  Get the top level schema's target Namespace. In case there are more than one top level schema, the last one being built is returned.

### buildSchemaPathTable

    public void buildSchemaPathTable()
                              throws java.lang.Exception

  Build the schema's path tables for XSDGroup nodes.
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.